=== debian/changelog ===
packetfence (10.3.0+20210414154410+286398790+0009+v10.3.0+stretch1) stretch; urgency=medium

  * build for v10.3.0

 -- Inverse inc. <support@inverse.ca>  Wed, 14 Apr 2021 16:02:43 +0000

packetfence (10.3.0) unstable; urgency=low

  * Version 10.3.0

 -- Inverse <info@inverse.ca>  Wed, 14 Apr 2020 11:17:00 +0100

packetfence (10.2.0-1) unstable; urgency=low

  * Version 10.2.0

 -- Inverse <info@inverse.ca>  Wed, 07 Oct 2020 11:17:00 +0100

packetfence (10.1.0-1) unstable; urgency=low

  * Version 10.1.0

 -- Inverse <info@inverse.ca>  Wed, 17 Jun 2020 11:17:00 +0100
