## packetfence 13.2.0+20240904183705+1440697922+0011+maintenance~13~2+bullseye1

=== debian/changelog ===
packetfence (13.2.0+20240904183705+1440697922+0011+maintenance~13~2+bullseye1) bullseye; urgency=medium

  * build for maintenance/13.2

 -- Inverse inc. <support@inverse.ca>  Wed, 04 Sep 2024 23:42:53 +0000

packetfence (13.2.0) unstable; urgency=low

  * Version 13.2.0

 -- Inverse <info@inverse.ca>  Mon, 22 Jan 2024 12:28:07 -0500

packetfence (13.1.0) unstable; urgency=low

  * Version 13.1.0

 -- Inverse <info@inverse.ca>  Thu, 10 Aug 2023 02:08:54 -0400

packetfence (13.0.0) unstable; urgency=low

  * Version 13.0.0

 -- Inverse <info@inverse.ca>  Thu, 09 Mar 2023 15:41:39 +0000

packetfence (12.2.0) unstable; urgency=low

  * Version 12.2.0

 -- Inverse <info@inverse.ca>  Tue, 22 Nov 2022 19:01:46 +0000

packetfence (12.1.0) unstable; urgency=low

  * Version 12.1.0

 -- Inverse <info@inverse.ca>  Wed, 14 Sep 2022 13:48:07 +0000

packetfence (12.0.0) unstable; urgency=low

  * Version 12.0.0

 -- Inverse <info@inverse.ca>  Fri, 02 Sep 2022 08:58:21 -0400

packetfence (11.3.0) unstable; urgency=low

  * Version 11.3.0

 -- Inverse <info@inverse.ca>  Wed, 23 Feb 2022 15:02:18 -0500

packetfence (11.2.0) unstable; urgency=low

  * Version 11.2.0

 -- Inverse <info@inverse.ca>  Fri, 29 Oct 2021 12:02:58 -0400

packetfence (11.1.0) unstable; urgency=low

  * Version 11.1.0

 -- Inverse <info@inverse.ca>  Thu, 02 Sep 2021 09:34:04 -0400

packetfence (11.0.0) unstable; urgency=low

  * Version 11.0.0

 -- Inverse <info@inverse.ca>  Thu, 02 Sep 2021 07:39:00 -0400

packetfence (10.3.9-1) unstable; urgency=low

  * Version 10.3.9

 -- Inverse <info@inverse.ca>  Wed, 14 Apr 2020 11:17:00 +0100

packetfence (10.3.0-1) unstable; urgency=low

  * Version 10.3.0

 -- Inverse <info@inverse.ca>  Wed, 14 Apr 2020 11:17:00 +0100
